>> Modified: Products.CMFCore/trunk/setup.py
>> ===================================================================
>> --- Products.CMFCore/trunk/setup.py  2009-07-05 15:31:13 UTC (rev 101587)
>> +++ Products.CMFCore/trunk/setup.py  2009-07-05 15:32:51 UTC (rev 101588)
>> @@ -50,8 +50,13 @@
>>            'five.localsitemanager>=0.3',
>>            'Products.GenericSetup',
>>            ],
>> -      tests_require=['zope.testing>=3.7.0',
>> -                    ],
>> +      tests_require=[
>> +          'zope.testing >= 3.7.0',
>> +          'Products.DCWorkflow',
>> +          ],
>> +      extras_require = dict(
>> +          test = ['Products.DCWorkflow'],
>> +          ),
>>        test_loader='zope.testing.testrunner.eggsupport:SkipLayers',
>>        test_suite='Products.%s' % NAME,
>>        entry_points="""
> 
> WAAAAA!  Let's not codify the mistake:  we should be ripping that
> dependency out by the roots!

I don't think that change made things worse.

+1 for removing that dependency in setup.py *and* the test

Cheers, Yuppie

_______________________________________________
Zope-CMF maillist  -  Zope-CMF@lists.zope.org
http://mail.zope.org/mailman/listinfo/zope-cmf

See https://bugs.launchpad.net/zope-cmf/ for bug reports and feature requests

Reply via email to